Bug 1465436 - fence_ipmilan default method inconsistency
fence_ipmilan default method inconsistency
Status: POST
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Marek Grac
cluster-qe@redhat.com
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 08:32 EDT by Josef Zimek
Modified: 2017-08-02 03:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Zimek 2017-06-27 08:32:17 EDT
Description of problem:

Man page of fence_ipmilan and its help output is in contradiction with regards to default fencing method:

man fence_ipmilan

       -m, --method=[method]
              Method to fence (onoff|cycle) (Default Value: onoff)



fence_ipmilan --help
   -m, --method=[method]          Method to fence (onoff|cycle) (Default: cycle)



Version-Release number of selected component (if applicable):
fence-agents-ipmilan-4.0.11-47.el7_3.5.x86_64



Expected results:

man and help lists consistent values
Comment 2 Marek Grac 2017-07-03 04:31:38 EDT
Thanks for the report, we did not noticed this before. Information in manual page is correct.

Fixed in upstream:
https://github.com/ClusterLabs/fence-agents/commit/1a6d06adad10e2f3733433617fb0c80409551055

Note You need to log in before you can comment on or make changes to this bug.